Bug 1600725

Summary: mathgl: python2-mathgl requires both Python 2 and Python 3
Product: [Fedora] Fedora Reporter: Iryna Shcherbina <shcherbina.iryna>
Component: mathglAssignee: Dmitrij S. Kryzhevich <kryzhev>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: dakingun, kryzhev, mycae, pviktori
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-19 14:29:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816, 1340802    

Description Iryna Shcherbina 2018-07-12 20:38:32 UTC
The python2-mathgl (2.4.1-6.fc29) RPM requires both Python 2 and Python 3:

$ dnf --repo=rawhide repoquery --requires python2-mathgl | grep python
libpython2.7.so.1.0
libpython2.7.so.1.0()(64bit)
libpython3.7m.so.1.0
libpython3.7m.so.1.0()(64bit)
python(abi) = 2.7
python(abi) = 3.7

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 28 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Jan Kurik 2018-08-14 09:53:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-02-19 17:08:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.

Comment 3 Petr Viktorin 2019-03-19 14:29:05 UTC
This is fixed, at least on Rawhide and f30.